Visualizzazione risultati 1 fino 16 di 16

Discussione: SuSe Linu

  1. #1
    Guest

    Predefinito SuSe Linux

    Ciao!
    Ho appena finito di installare sul mio nuovo laptop SuSe Linux 10.0 Server Edition.
    Per fortuna ho anche qui i soliti paccheti rpm, che per installare utilizzo i sue seguenti modi:

    1. ci sopra clicco e aspetto che mi dia l'errore delle dipendenze insoddisfatte.

    2. scrivo rpm -Ivh /doveeilfile/nome.rpm in righa di comando e mi aspetto che mi chieda un hash o qualcosa di simile.

    Insomma, la domanda è questa: come posso risolvere le dipendenze in blocco,invece di scaricarmi 10.000 paccheti rpm per un solo programma?

    come risolvere questo errore?
    rpm: --hash (-h) may only be specified during package installation

    Grazie!

    p.s. 12.45: Risolte le dipendenze di wxGTK-devel mi da il seguente errore;

    Resolvable id 18040 does not exist.

    Che può essere?
    Ultima modifica di AQUANOX : 24-06-2007 alle ore 13.46.05

  2. #2
    Guest

    Predefinito

    non basta che usi il package manager di suse per installare il programma di cui hai bisogno? stai più veloce, risolve ed installa le dipendenze, e ti forniscce la versione più aggiornata del pacchetto...

  3. #3
    Guest

    Predefinito

    intendi dire YaST?

  4. #4
    Guest

    Predefinito

    Si... si dovrebbe arrangiare lui a gestire dipendenze, etc....
    E' un po come apt e dpkg per Debian e derivate.... il primo si occupa di gestire dipendenze & co. mentre il secondo gestisce ed installa i pacchetti...

  5. #5
    Guest

    Predefinito

    non funziona, ho provato ma non succede nulla.
    gli do la cartella di destinazione ma non trova mai nulla!

  6. #6
    Guest

    Predefinito

    # yast -i nomepacchetto.rpm

  7. #7
    Guest

    Predefinito

    non fa nulla con il # inserito, e senza da bash error :'(


    EDIT: allora rettifico:

    sono riuscito ad installare il tutto con il Terminale di Gnome. adesso però mi chiede una libreria detta "libexpat.so.0"

    dove posso trovarla? ho provato con google ma niente :'(
    Ultima modifica di funcool : 11-10-2007 alle ore 11.30.06

  8. #8
    Guest

    Predefinito

    prova con:

    Codice:
    yast -i libexpat
    ldconfig
    Naturalmente tutto da root...

  9. #9
    Guest

    Predefinito

    bash: yast: command not found :'(

  10. #10
    Guest

    Predefinito

    hai eseguito tutto da root ?
    Hai provato ad andare nel pannello di controllo di suse, aggiungi rimuvi software e da li cerchi di installare i pacchetti che ti servono...
    Ultima modifica di elettronik : 04-07-2007 alle ore 16.56.33

  11. #11
    Guest

    Predefinito

    sono sempre in root.
    ed in istalla/rimuovi pacchetti ci sono andato ma non riesco a trovare il file che cerco neanche con la funzione apposita

  12. #12
    Guest

    Predefinito

    tanto per sapere che pacchetto è?

  13. #13
    Guest

    Predefinito

    aMule-wxGTK-2.6.3-1.SuSE_10.0.i586.rpm

  14. #14
    Guest

    Predefinito

    prova prima a scaricare ed installare questo:
    http://download.berlios.de/amule/wxG....2-9.0-9.1.rpm
    poi il pachhetto contenente aMule

  15. #15
    Guest

    Predefinito

    stesso problema:

    error: Failed dependencies:
    libexpat.so.0 is needed by wxGTK-2.6.0-1.i586

  16. #16
    Guest

    Predefinito

    prova ad installare anche questo pacchetto:
    ftp://rpmfind.net/linux/opensuse/dis....8-16.i586.rpm

Regole di scrittura

  • Non puoi creare nuove discussioni
  • Non puoi rispondere ai messaggi
  • Non puoi inserire allegati.
  • Non puoi modificare i tuoi messaggi
  •